NXT-SERVER(1)

NAME
nxt-server - Network server for the NXT brick

SYNOPSIS

nxt-server [–backend NAME] [–config NAME] [–config-filename PATH] [–name NAME] [–host ADDRESS] [–server-host HOST] [–server-port PORT] [–filename FILENAME] [-p|–port PORT] [–log-level LEVEL]

DESCRIPTION

nxt-server serves an interface to a connected NXT brick over the network.

The NXT brick can be connected using USB, Bluetooth or over the network.

OPTIONS

    -p|–port PORT
        Set the bind port. Same value must be given to the client using –server-port or inside Python code. Default port is 2727.

    --log-level LEVEL
        Set the log level. One of DEBUG, INFO, WARNING, ERROR, or CRITICAL. Messages whose level is below the current log level will not be displayed.

COMMON OPTIONS

Those options are common to programs using NXT-Python.

    --backend NAME
        Enable given backend. Can be used several times to enable several backends. One of usb <#module-nxt.backend.usb>, bluetooth <#module-nxt.backend.bluetooth>, socket <#module-nxt.backend.socket> or devfile <#module-nxt.backend.devfile>.

    --config NAME
        Name of configuration file section to use.

    --config-filename PATH
        Path to configuration file. Can be used several times to use several configuration files.

    --name NAME
        Name of NXT brick (for example: NXT). Useful to find the right brick if several bricks are connected.

    --host ADDRESS
        Bluetooth address of the NXT brick (for example: 00:16:53:01:02:03).

    --server-host HOST
        Server address or name to connect to when using socket <#module-nxt.backend.socket> backend.

    --server-port PORT
        Server port to connect to when using socket <#module-nxt.backend.socket> backend.

    --filename FILENAME
        Device filename (for example: /dev/rfcomm0), when using ~nxt.backend.devfile backend.

See nxt-python.conf(5) documentation for better explanation of the options to find the NXT brick.

EXAMPLE

    nxt-server --host 00:16:53:01:02:03
        Starting the server on a computer connected to a NXT brick, accepting connection on default port 2727.

    nxt-test --server-host 192.168.1.2
        Assuming the first computer has address 192.168.1.2, remotely connect to the server to run a test.

SEE ALSO

nxt-python.conf(5)

NXT-Python documentation <<https://ni.srht.site/nxt-python/latest/>>

Author
This program is part of NXT-Python which is currently maintained by Nicolas Schodet.

Copyright
2021-2025, Nicolas Schodet